Subject: bug#78356: Broken system and home containers

From: Ludovic Courtès <[email-masked]>
Date: Mon, 12 May 2025 11:45:12 +0200

Hi,

Rutherther <[email-masked]> writes:

> The command was `guix home container -L ./home/modules ./home/home-container.scm`
> in my repository. It's here https://git.ditigal.xyz/~ruther/guix-config.
> Any idea what service could cause this behavior with lock-mounts? Would
> be good to isolate it, but I am not sure where to start.
>
> Here is the unshare error I was talking about earlier:
>> guix home: error: unshare: 268566528: Invalid argument
> Now I am getting it consistently, before it was missing sometimes.

Could you copy paste the command and its output, to be sure there’s no
misunderstanding?

This is on Guix System, right?

Thanks,
Ludo’.